﻿<div class="top-row pl-4 navbar navbar-dark">
  <a class="navbar-brand" href="">SPAWebApp</a>
  <button class="navbar-toggler" onclick="@ToggleNavMenu">
    <span class="navbar-toggler-icon"></span>
  </button>
</div>

<div class="@NavMenuCssClass" onclick="@ToggleNavMenu">
  <ul class="nav flex-column">
    <li class="nav-item px-3">
      <NavLink class="nav-link" href="" Match="NavLinkMatch.All">
        <span class="oi oi-home" aria-hidden="true"></span>
        Домой
      </NavLink>
    </li>
    <li class="nav-item px-3">
      <NavLink class="nav-link" href="projects">
        <span class="oi oi-plus" aria-hidden="true"></span>
        Проекты
      </NavLink>
    </li>
    <li class="nav-item px-3">
      <NavLink class="nav-link" href="vrmlviewer">
        <span class="oi oi-list-rich" aria-hidden="true"></span>
        Viewer
      </NavLink>
    </li>
    <li class="nav-item px-3">
      <NavLink class="nav-link" href="testpage">
        <span class="oi oi-list-rich" aria-hidden="true"></span>
        Test Page
      </NavLink>
    </li>
  </ul>
</div>

@functions {
  bool collapseNavMenu = true;

  string NavMenuCssClass => collapseNavMenu ? "collapse" : null;

  void ToggleNavMenu()
  {
    collapseNavMenu = !collapseNavMenu;
  }
}
